/* packet-mgcp.h
 * Routines for mgcp packet disassembly
 * RFC 2705
 *
 * $Id: packet-mgcp.h 11400 2004-07-18 00:24:25Z guy $
 *
 * Copyright (c) 2000 by Ed Warnicke <hagbard@physics.rutgers.edu>
 *
 * Ethereal - Network traffic analyzer
 * By Gerald Combs <gerald@ethereal.com>
 * Copyright 1999 Gerald Combs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#define UDP_PORT_CTSYNC		1999
 
#if 0
 /* A simple MGCP type that is occasionally handy */
typedef enum _mgcp_type {
  MGCP_REQUEST,
  MGCP_RESPONSE,
  MGCP_OTHERS
} mgcp_type_t;

/* Container for tapping relevant data */
typedef struct _mgcp_info_t {
  mgcp_type_t mgcp_type;
  char code[5];
  guint32 transid;
  nstime_t req_time;
  gboolean is_duplicate;
  gboolean request_available;
} mgcp_info_t;

/* Item of request list */
typedef struct _mgcp_call_t {
	guint32 transid;
	char code[5];
	guint32	req_num;	/* frame number request seen */
	guint32	rsp_num;	/* frame number response seen */
	nstime_t req_time;
	gboolean responded;
} mgcp_call_t;	
#endif

#define __u8	guint8
#define __u16	guint16
struct ct_sync_pkthdr
{
        __u8            version;                /* version number */
        __u8            pkttype;                /* type of packet: sync/NACK */
        __u8            node_id;                /* id of the sender node */
        __u8            count;                  /* number of msgs in packet */
        __u16           pktseq;                 /* packet sequence number */
        __u16           minseq;                 /* min seqno master has */
        __u8            flags;                  /* flags: 1 == recover */
        __u8            __reserved;             /* placeholder :) */
        __u16           __reserved2;            /* placeholder :) */
};

struct ct_sync_msghdr
{
        __u8            resource;       /* which table? */
        __u8            type;           /* type of message: ct_sync_msgtype_t */
        __u16           len;            /* length of message */
        __u8            flags;          /* sync flags */
        __u8            res1;
        __u16           res2;
};

#undef __u8
#undef __u16
